import { type Expr } from "./expr";
export declare function allPathsUnwind(expr: Expr): boolean;
export declare function evaluatedBodyContainsEscape(expr: Expr): boolean;
export declare function exprTreeContainsReturn(expr: Expr): boolean;
export declare function exprContainsAwait(expr: Expr): boolean;
export declare function exprContainsLoopTerminator(expr: Expr): boolean;
